Download it now!
Bug 53828 - UI: Searching for formats does not find conditional formats
Summary: UI: Searching for formats does not find conditional formats
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting Find-Search
  Show dependency treegraph
 
Reported: 2012-08-20 08:56 UTC by Max Addler
Modified: 2017-08-18 20:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max Addler 2012-08-20 08:56:47 UTC
Situation:
- Conditional formatting can assign formats to cells dependent on their content or arbritrary expressions.
- When searching for formats, those formats that have been assigned as a result of a condition cannot be found.

Suggested behaviour:
- Searching for formats finds formats that have been assigned as a result of conditional formatting.
Comment 1 Markus Mohrhard 2012-08-22 00:52:50 UTC
Conditional Formats are not really formats in the normal sense. They should not be detected by anything because they are dynamically calulated based on user input. The new conditional formats code in 3-6 and master even makes it nearly impossible to get these informations from the code because the information whether a conditional format is applied should be not the same as a normal hard format or a style formatting.
Comment 2 Max Addler 2012-08-23 07:02:51 UTC
Thank you for having seriously considered this one. Having been a programmer, I know situations where two completely different concepts are being presented to the user as being the same thing - this is what I read from your comment. This makes it difficult to access effects from one concept from within another concept.

However, I was suggesting this as a business user. It is a common situation that by changing one value inside a large spreadsheet, one or several others in distant parts of the same spreadsheet or even in other tables do change. Conditional formatting is very helpful to visually indicate such an indirect change, especially when the affected value runs out of valid bounds for a given business case. Frequently tables do not fit onto the screen as s whole, so in absence of a search function one needs to manually scroll through all the tables to look for such an indication of "out-of-bounds" values. This is tedious and error-prone - cells get overlooked and "out-of-bounds" values remain inside the sheet, which leads to errors in applying the results of the sheet in business, and which therefore reduces the usability of LibreOffice in such situations. Being able to search for those "out-of-bounds" values by looking for the resulting format automatically is like an assertion inside generated program code - it is a valid and valuable quality measure.

Of course I am aware that when I am asking you to reconsider, I do build on the goodwill of a proboably voluntary contributors (you and others), and I do appreciate your work very much. So my intention with this comment is to give further explations while I filed this bug. Although I would not be happy to hear that my buisness case is unintended use of LibreOffice or that LibreOffice is structurally incapable of hosting such a change, in those cases I would gladly accept a "WONTFIX". Otherwise I would be very happy with a "LATER" or "REMIND" state and a consideration in discussions for later versions of LibreOffice.
Comment 3 Markus Mohrhard 2012-09-01 15:15:52 UTC
Your case should not be used with conditional formats. You should seriously look into the Validation feature which is there to track that all values are in the right range.

Formats and conditional formatss are not the same and will never be handled the same for users and/or developers. I'm sorry but your request might look good for you however looking for long term consistency and handling we should not start mixing these two concepts.